# Speedflow Plugin Jira

[![Build Status](https://travis-ci.org/speedflow/speedflow-plugin-jira.svg?branch=master)](https://travis-ci.org/speedflow/speedflow-plugin-jira)
[![Dependency Status](https://gemnasium.com/speedflow/speedflow-plugin-jira.svg)](https://gemnasium.com/speedflow/speedflow-plugin-jira)
[![Gem Version](https://badge.fury.io/rb/speedflow-plugin-jira.svg)](https://badge.fury.io/rb/speedflow-plugin-jira)
[![Code Climate](https://codeclimate.com/github/speedflow/speedflow-plugin-jira/badges/gpa.svg)](https://codeclimate.com/github/speedflow/speedflow-plugin-jira)
[![Test Coverage](https://codeclimate.com/github/speedflow/speedflow-plugin-jira/badges/coverage.svg)](https://codeclimate.com/github/speedflow/speedflow-plugin-jira/coverage)
[![Inline docs](http://inch-ci.org/github/speedflow/speedflow-plugin-jira.svg?branch=master)](http://inch-ci.org/github/speedflow/speedflow-plugin-jira)

:package: A Speedflow plugin to work with Jira.

## How to install?

`gem install speedflow-plugin-jira`

## How to configure?

`.speedflow.yml` :
```yml
---
plugins:
  - jira

# ...

jira:
  site: "{JIRA_SITE}"
  username: "{JIRA_USERNAME}"
  password: "{JIRA_PASSWORD}"
```

`~/.zshrc` or `~/.bashrc` :
```sh
# Jira
export JIRA_SITE="https://xxx.atlassian.net/"
export JIRA_USERNAME="..."
export JIRA_PASSWORD="..."
```

### How to use in my flow?

#### Search an issue

`.speedflow.yml` :
```yml
#...

flow:
  test:
    - plugin: jira
      action: search_issue
```

#### Create an issue (beta)

`.speedflow.yml` :
```yml
#...

flow:
  test:
    - plugin: jira
      action: create_issue
      arguments:
        title: ~
        project:
          default: TEST
```

#### Change issue assignee

`.speedflow.yml` :
```yml
#...

flow:
  test:
    - plugin: jira
      action: change_issue_assignee
      arguments:
        assignee:
          default: "{JIRA_USERNAME}"
        issue: ~
```

#### Change issue transition

`.speedflow.yml` :
```yml
#...

flow:
  test:
    - plugin: jira
      action: change_issue_transition
      arguments:
        transition: ~
        issue: ~
```
