require 'spec_helper'

describe Speedflow::Plugin::Jira::Formatter::IssueFormatter do
  let(:mod) { Speedflow::Plugin::Jira::Formatter::IssueFormatter }

  it '#to_create' do
    returned_hash = {
      'fields' => {
        'project'   => { 'key' => 'foo' },
        'summary'   => 'bar',
        'issuetype' => { 'id' => 'baz' }
      }
    }
    expect(mod.to_create('foo', 'bar', 'baz'))
      .to eq returned_hash
  end

  it '#to_assignee' do
    returned_hash = {
      'fields' => {
        'assignee' => {
          'name' => 'julien.breux'
        }
      }
    }
    expect(mod.to_assignee('julien.breux'))
      .to eq returned_hash
  end
end
